
set( canvas_VERSION 1.03.01 )
set( canvas_UPS_VERSION v1_03_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/canvas/v1_03_01/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/canvas/v1_03_01/Modules")
endif()


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib  )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp  )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility  )
    find_ups_product( tbb  )
    find_ups_root(  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( CANVAS_VERSION  $ENV{CANVAS_LIB}/libcanvas_Version.dylib )
      set( CANVAS_UTILITIES  $ENV{CANVAS_LIB}/libcanvas_Utilities.dylib )
      set( CANVAS_UTILITIES_DICT  $ENV{CANVAS_LIB}/libcanvas_Utilities_dict.dylib )
      set( CANVAS_PERSISTENCY_CLHEPDICTIONARIES_DICT  $ENV{CANVAS_LIB}/libcanvas_Persistency_CLHEPDictionaries_dict.dylib )
      set( CANVAS_PERSISTENCY_COMMON  $ENV{CANVAS_LIB}/libcanvas_Persistency_Common.dylib )
      set( CANVAS_PERSISTENCY_COMMON_DICT  $ENV{CANVAS_LIB}/libcanvas_Persistency_Common_dict.dylib )
      set( CANVAS_PERSISTENCY_PROVENANCE  $ENV{CANVAS_LIB}/libcanvas_Persistency_Provenance.dylib )
      set( CANVAS_PERSISTENCY_PROVENANCE_DICT  $ENV{CANVAS_LIB}/libcanvas_Persistency_Provenance_dict.dylib )
      set( CANVAS_PERSISTENCY_STDDICTIONARIES_DICT  $ENV{CANVAS_LIB}/libcanvas_Persistency_StdDictionaries_dict.dylib )
      set( CANVAS_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT  $ENV{CANVAS_LIB}/libcanvas_Persistency_WrappedStdDictionaries_dict.dylib )
      set( CANVAS_PERSISTENCY_CETLIBDICTIONARIES_DICT  $ENV{CANVAS_LIB}/libcanvas_Persistency_CetlibDictionaries_dict.dylib )
      set( CANVAS_PERSISTENCY_FHICLCPPDICTIONARIES_DICT  $ENV{CANVAS_LIB}/libcanvas_Persistency_FhiclCppDictionaries_dict.dylib )
      include_directories ( $ENV{CANVAS_INC} )

check_required_components(canvas)

